API DocumentationAddresses
Create a new address
POST
Creates a new address using the provided details
Phasio API Bearer Tokenheader
AuthorizationBearer <token>application/json- body
street1*stringstreet2*stringcity*stringstate*stringcountry*stringjurisdictionIsoCode?stringzip*stringname*stringcompany*stringphone*stringemail*stringresidential*booleanorganisationId*integerFormat
int64taxId?stringAddress created successfully
application/json- response
addressId*integerFormat
int64isBillingAddress*booleanisShippingAddress*booleanstreet1*stringstreet2*stringcity*stringstate?stringcountry*stringcountryAlpha2Code*stringcountryAlpha3Code*stringjurisdictionIsoCode?stringzip*stringname*stringcompany*stringphone*stringemail*stringresidential*booleanaddressType*stringisDeleted*booleantaxId?stringcurl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/address/create' \ -H 'Content-Type: application/json' \ -d '{ "street1": "string", "street2": "string", "city": "string", "state": "string", "country": "string", "zip": "string", "name": "string", "company": "string", "phone": "string", "email": "string", "residential": true, "organisationId": 0}'{ "addressId": 0, "isBillingAddress": true, "isShippingAddress": true, "street1": "string", "street2": "string", "city": "string", "state": "string", "country": "string", "countryAlpha2Code": "string", "countryAlpha3Code": "string", "jurisdictionIsoCode": "string", "zip": "string", "name": "string", "company": "string", "phone": "string", "email": "string", "residential": true, "addressType": "string", "isDeleted": true, "taxId": "string"}